Author Topic: 3dsout error  (Read 1660 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 297
3dsout error
« on: June 24, 2011, 10:11:42 PM »
hi friend
i use cad 2004
i used  3dsout command in lisp


Code: [Select]
(defun C:3ds ( / old )

(setq old (ssget))      

(c:3dsout old 0 0 -1 0.001 "weld.3ds")         

)

   

but there is error
that is "  there is no 3dsout command"
then i excute    3dsout   in cad command  window
after that ,  i  excute 3ds lisp
then  , that is ok
i don;t know well
« Last Edit: June 25, 2011, 08:16:31 AM by CAB »

dgorsman

  • Water Moccasin
  • Posts: 2437
Re: 3dsout error
« Reply #1 on: June 24, 2011, 11:37:37 PM »
Probably in a demand-loaded ARX.  MTEXT is the same way.
If you are going to fly by the seat of your pants, expect friction burns.

try {GreatPower;}
   catch (notResponsible)
      {NextTime(PlanAhead);}
   finally
      {MasterBasics;}

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: 3dsout error
« Reply #2 on: June 25, 2011, 08:15:44 AM »
From the looks of this:
Code: [Select]
(defun acet-3ds-convert-ent ( na / fna na2 e1 ss props )
 
 (acet-arxload-or-bust "aclsobj.arx")
 (acet-arxload-or-bust "acrender.arx")
 
 (setq fna (vl-filename-mktemp nil nil ".3ds"))
 (if (findfile fna)
     (vl-file-delete fna)
 );if
 (setq   na2 (entlast)
          e1 (entget na)
       props (acet-general-props-get e1)
 );setq
 
 (acet-ucs-cmd '("_world"))
 (c:3dsout (ssadd na (ssadd)) 0 2 30 0.001 fna)
 (c:3dsin 0 1 3 fna)
 (acet-ucs-cmd '("_prev"))
 
 (vl-file-delete fna)
 (setq ss (acet-ss-new na2)) ;return the new objects in a selection set
 (if ss
     (acet-general-props-set ss props)
 );if
 ss
);defun acet-3ds-convert-ent

One or both of these must be executed first.
Code: [Select]
(acet-arxload-or-bust "aclsobj.arx")
 (acet-arxload-or-bust "acrender.arx")
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

dussla

  • Bull Frog
  • Posts: 297
Re: 3dsout error
« Reply #3 on: June 25, 2011, 11:32:17 AM »
wow
perpect ~~
really thank you , thank you
good day , good luck always ~